#pragma once

#include <QObject>
#include <includes.h>

const std::string INIT_MSG_STR = R"({"msg": "init"})";
const std::string ACK_MSG_STR = R"({"msg": "ack"})";

class NetworkThread : public QObject
{
    Q_OBJECT
private:
    // add your variables here
public:
    explicit NetworkThread(QObject *parent = nullptr);
public slots:
    void process();
signals:
    void finished();
    void error(QString err);
    void httpMessage(json data);
};
